TagLib::Matroska::SimpleTag Class Reference

Attribute of Matroska metadata. More...

`#include <matroskasimpletag.h>`

## Public Types

enum | TargetTypeValue { None = 0 , Shot = 10 , Subtrack = 20 , Track = 30 , Part = 40 , Album = 50 , Edition = 60 , Collection = 70 }
| Specifies the level of other elements the tag value applies to. More...
enum | ValueType { StringType = 0 , BinaryType = 1 }
| The types the value can have. More...

## Public Member Functions

| SimpleTag (const String &name, const String &value, TargetTypeValue targetTypeValue=None, const String &language=String(), bool defaultLanguage=true, unsigned long long trackUid=0)
| SimpleTag (const String &name, const String &value, TargetTypeValue targetTypeValue, const String &language, bool defaultLanguage, unsigned long long trackUid, unsigned long long editionUid, unsigned long long chapterUid=0, unsigned long long attachmentUid=0)
| SimpleTag (const String &name, const ByteVector &value, TargetTypeValue targetTypeValue=None, const String &language=String(), bool defaultLanguage=true, unsigned long long trackUid=0)
| SimpleTag (const String &name, const ByteVector &value, TargetTypeValue targetTypeValue, const String &language, bool defaultLanguage, unsigned long long trackUid, unsigned long long editionUid, unsigned long long chapterUid=0, unsigned long long attachmentUid=0)
| SimpleTag (const SimpleTag &other)
| SimpleTag (SimpleTag &&other) noexcept
| ~SimpleTag ()
SimpleTag & | operator= (const SimpleTag &other)
SimpleTag & | operator= (SimpleTag &&other) noexcept
void | swap (SimpleTag &other) noexcept
const String & | name () const
TargetTypeValue | targetTypeValue () const
const String & | language () const
bool | defaultLanguageFlag () const
unsigned long long | trackUid () const
unsigned long long | editionUid () const
unsigned long long | chapterUid () const
unsigned long long | attachmentUid () const
ValueType | type () const
String | toString () const
ByteVector | toByteVector () const

## Detailed Description

Attribute of Matroska metadata.

## Member Enumeration Documentation

## TargetTypeValue

enum TagLib::Matroska::SimpleTag::TargetTypeValue

Specifies the level of other elements the tag value applies to.

Enumerator
None | Empty or omitted, everything in the segment.
Shot | Shot.
Subtrack | Subtrack / movement / scene.
Track | Track / song / chapter.
Part | Part / session.
Album | Album / opera / concert / movie / episode.
Edition | Edition / issue / volume / opus / season / sequel.
Collection | Collection.

## ValueType

enum TagLib::Matroska::SimpleTag::ValueType

The types the value can have.

Enumerator
StringType | Item contains text information coded in UTF-8.
BinaryType | Item contains binary information.

## Constructor & Destructor Documentation

## SimpleTag() [1/6]

TagLib::Matroska::SimpleTag::SimpleTag | ( | const String & | name,
|  | const String & | value,
|  | TargetTypeValue | targetTypeValue = None,
|  | const String & | language = String(),
|  | bool | defaultLanguage = true,
|  | unsigned long long | trackUid = 0 )

Construct a string simple tag.

References language(), name(), None, targetTypeValue(), and trackUid().

Referenced by operator=(), operator=(), SimpleTag(), SimpleTag(), and swap().

## SimpleTag() [2/6]

TagLib::Matroska::SimpleTag::SimpleTag | ( | const String & | name,
|  | const String & | value,
|  | TargetTypeValue | targetTypeValue,
|  | const String & | language,
|  | bool | defaultLanguage,
|  | unsigned long long | trackUid,
|  | unsigned long long | editionUid,
|  | unsigned long long | chapterUid = 0,
|  | unsigned long long | attachmentUid = 0 )

Construct a string simple tag.

References attachmentUid(), chapterUid(), editionUid(), language(), name(), targetTypeValue(), and trackUid().

## SimpleTag() [3/6]

TagLib::Matroska::SimpleTag::SimpleTag | ( | const String & | name,
|  | const ByteVector & | value,
|  | TargetTypeValue | targetTypeValue = None,
|  | const String & | language = String(),
|  | bool | defaultLanguage = true,
|  | unsigned long long | trackUid = 0 )

Construct a binary simple tag.

References language(), name(), None, targetTypeValue(), and trackUid().

## SimpleTag() [4/6]

TagLib::Matroska::SimpleTag::SimpleTag | ( | const String & | name,
|  | const ByteVector & | value,
|  | TargetTypeValue | targetTypeValue,
|  | const String & | language,
|  | bool | defaultLanguage,
|  | unsigned long long | trackUid,
|  | unsigned long long | editionUid,
|  | unsigned long long | chapterUid = 0,
|  | unsigned long long | attachmentUid = 0 )

Construct a binary simple tag.

References attachmentUid(), chapterUid(), editionUid(), language(), name(), targetTypeValue(), and trackUid().

## SimpleTag() [5/6]

TagLib::Matroska::SimpleTag::SimpleTag | ( | const SimpleTag & | other | ) |

Construct a simple tag as a copy of other.

References SimpleTag().

## SimpleTag() [6/6]

TagLib::Matroska::SimpleTag::SimpleTag | ( | SimpleTag && | other | ) |

noexcept

Construct a simple tag moving from other.

References SimpleTag().

## ~SimpleTag()

TagLib::Matroska::SimpleTag::~SimpleTag | ( |  | ) |

Destroys this simple tag.

## Member Function Documentation

## attachmentUid()

unsigned long long TagLib::Matroska::SimpleTag::attachmentUid | ( |  | ) | const

Returns the UID that identifies the attachment that the tags belong to, zero if not defined, the tag applies to all attachments

Referenced by SimpleTag(), and SimpleTag().

## chapterUid()

unsigned long long TagLib::Matroska::SimpleTag::chapterUid | ( |  | ) | const

Returns the UID that identifies the chapter that the tags belong to, zero if not defined, the tag applies to all chapters

Referenced by SimpleTag(), and SimpleTag().

## defaultLanguageFlag()

bool TagLib::Matroska::SimpleTag::defaultLanguageFlag | ( |  | ) | const

Returns if this is the default/original language to use for the tag.

## editionUid()

unsigned long long TagLib::Matroska::SimpleTag::editionUid | ( |  | ) | const

Returns the UID that identifies the edition that the tags belong to, zero if not defined, the tag applies to all editions

Referenced by SimpleTag(), and SimpleTag().

## language()

const String & TagLib::Matroska::SimpleTag::language | ( |  | ) | const

Returns the language of the tag.

Referenced by SimpleTag(), SimpleTag(), SimpleTag(), and SimpleTag().

## name()

const String & TagLib::Matroska::SimpleTag::name | ( |  | ) | const

Returns the name of the simple tag.

Referenced by SimpleTag(), SimpleTag(), SimpleTag(), and SimpleTag().

## operator=() [1/2]

SimpleTag & TagLib::Matroska::SimpleTag::operator= | ( | const SimpleTag & | other | ) |

Copies the contents of other into this item.

References SimpleTag().

## operator=() [2/2]

SimpleTag & TagLib::Matroska::SimpleTag::operator= | ( | SimpleTag && | other | ) |

noexcept

Moves the contents of other into this item.

References SimpleTag().

## swap()

void TagLib::Matroska::SimpleTag::swap | ( | SimpleTag & | other | ) |

noexcept

Exchanges the content of the simple tag with the content of other.

References SimpleTag().

## targetTypeValue()

TargetTypeValue TagLib::Matroska::SimpleTag::targetTypeValue | ( |  | ) | const

Returns the logical level of the target.

Referenced by SimpleTag(), SimpleTag(), SimpleTag(), and SimpleTag().

## toByteVector()

ByteVector TagLib::Matroska::SimpleTag::toByteVector | ( |  | ) | const

Returns the BinaryType value.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## toString()

String TagLib::Matroska::SimpleTag::toString | ( |  | ) | const

Returns the StringType value.

## trackUid()

unsigned long long TagLib::Matroska::SimpleTag::trackUid | ( |  | ) | const

Returns the UID that identifies the track that the tags belong to, zero if not defined, the tag applies to all tracks

Referenced by SimpleTag(), SimpleTag(), SimpleTag(), and SimpleTag().

## type()

ValueType TagLib::Matroska::SimpleTag::type | ( |  | ) | const

Returns the type of the value.

The documentation for this class was generated from the following file:

- matroskasimpletag.h